org.apache.bcel.classfile

## Class RuntimeInvisibleAnnotations

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.Annotations
    - - org.apache.bcel.classfile.RuntimeInvisibleAnnotations

- All Implemented Interfaces:
    Cloneable, Node

      public class RuntimeInvisibleAnnotations
      extends Annotations

  represents an annotation that is represented in the class file but is not provided to the JVM.
  Since:
    6.0
  Version:
    $Id: RuntimeInvisibleAnnotations

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeInvisibleAnnotations(int name_index, int length, DataInput input, ConstantPool constant_pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `copy(ConstantPool constant_pool)`
    `void` | `dump(DataOutputStream dos)` Dump attribute to file stream in binary format.

    - ### Methods inherited from class org.apache.bcel.classfile.Annotations

      `accept, getAnnotationEntries, getNumAnnotations, isRuntimeVisible, setAnnotationTable, writeAnnotations`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeInvisibleAnnotations

          public RuntimeInvisibleAnnotations(int name_index,
                                             int length,
                                             DataInput input,
                                             ConstantPool constant_pool)
                                      throws IOException

      Parameters:
        `name_index` - Index pointing to the name Code
        `length` - Content length in bytes
        `input` - Input stream
        `constant_pool` - Array of constants
      Throws:
        `IOException`

  - ### Method Detail

    - #### copy

          public Attribute copy(ConstantPool constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### dump

          public final void dump(DataOutputStream dos)
                          throws IOException

      Description copied from class: `Attribute`
      Dump attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `dos` - Output file stream
      Throws:
        `IOException`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.